import { __decorate } from 'tslib';
import { Component } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent.js';
import { BaseButton } from '../BaseButton.js';
import { getStyles } from './CommandBarButton.styles.js';

let CommandBarButton = class CommandBarButton extends BaseComponent {
  get internalStyles() {
    const {
      theme,
      styles
    } = this;
    return getStyles(theme, styles);
  }

  render() {
    const h = arguments[0];
    const props = {
      variantClassName: 'ms-Button--commandBar',
      styles: this.internalStyles
    };
    return h(BaseButton, {
      "props": { ...props
      },
      "attrs": { ...this.$attrs
      }
    }, [this.$slots.default]);
  }

};
CommandBarButton = __decorate([Component], CommandBarButton);

export { CommandBarButton };
