import { memoizeFunction } from '@uifabric-vue/utilities';
import { FontWeights } from '@uifabric/styling';
import { concatStyleSets } from '@uifabric/merge-styles';
import { getStyles as getStyles$1 } from '../BaseButton.styles.js';
import { getStyles as getStyles$2 } from '../SplitButton/SplitButton.styles.js';
import { primaryStyles, standardStyles } from '../ButtonThemes.js';

// import { IButtonStyles } from '../Button.types'
const DEFAULT_BUTTON_HEIGHT = '32px';
const DEFAULT_BUTTON_MIN_WIDTH = '80px';
const getStyles = memoizeFunction((theme, customStyles, primary) => {
  const baseButtonStyles = getStyles$1(theme);
  const splitButtonStyles = getStyles$2(theme);
  const defaultButtonStyles = {
    root: {
      minWidth: DEFAULT_BUTTON_MIN_WIDTH,
      height: DEFAULT_BUTTON_HEIGHT
    },
    label: {
      fontWeight: FontWeights.semibold
    }
  };
  return concatStyleSets(baseButtonStyles, defaultButtonStyles, primary ? primaryStyles(theme) : standardStyles(theme), splitButtonStyles, customStyles);
});

export { getStyles };
