import { __decorate } from 'tslib';
import { Component } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent.js';
import _mergeJSXProps from '@vue/babel-helper-vue-jsx-merge-props';
import { BaseButton } from '../../Button/BaseButton.js';
import { getStyles } from './FacepileButton.styles.js';

let FacepileButton = class FacepileButton extends BaseComponent {
  get internalStyles() {
    return getStyles(this.theme, this.className, this.styles);
  }

  render() {
    const h = arguments[0];
    const props = { ...this.$props,
      variantClassName: 'ms-Button--facepile',
      styles: this.internalStyles
    };
    return h(BaseButton, _mergeJSXProps([{}, {
      props,
      attrs: this.$attrs,
      on: this.$listeners,
      scopedSlots: this.$scopedSlots
    }]), [this.$slots.flex]);
  }

};
FacepileButton = __decorate([Component], FacepileButton);

export { FacepileButton };
