import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent.js';
import { notifyHostChanged } from './Layer.notification.js';

let LayerHost = class LayerHost extends BaseComponent {
  render() {
    const h = arguments[0];
    return h("div", {
      "attrs": {
        "id": this.hostId
      },
      "class": "LayerHost"
    });
  }

  mounted() {
    notifyHostChanged(this.hostId);
  }

  beforeDestroy() {
    notifyHostChanged(this.hostId);
  }

};

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], LayerHost.prototype, "hostId", void 0);

LayerHost = __decorate([Component({
  components: {}
})], LayerHost);

export { LayerHost };
