import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import BaseComponent from '../BaseComponent.js';

const getClassNames = classNamesFunction();
let OverlayBase = class OverlayBase extends BaseComponent {
  get classNames() {
    const {
      theme,
      className,
      dark: isDark
    } = this;
    return getClassNames(this.styles, {
      theme,
      className,
      isDark
    });
  }

  render() {
    const h = arguments[0];
    const {
      classNames
    } = this;
    return h("div", {
      "class": classNames.root
    }, [this.$slots.default]);
  }

};

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], OverlayBase.prototype, "dark", void 0);

OverlayBase = __decorate([Component], OverlayBase);

export { OverlayBase };
