import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { mergeStyleSets, getTheme } from '@uifabric/styling';
import StatelessComponent from '../../StatelessComponent.js';
import { StackItemStyles } from './StackItem.styles.js';

const getClassNames = classNamesFunction({
  disableCaching: true
});
let StackItem = class StackItem extends StatelessComponent {
  render(h, context) {
    const {
      grow,
      shrink,
      disableShrink,
      align,
      verticalFill,
      order,
      className,
      styles
    } = context.props;
    const classNames = getClassNames(mergeStyleSets(StackItemStyles({
      grow,
      shrink,
      disableShrink,
      align,
      verticalFill,
      order,
      className
    }, getTheme(), {}), styles));
    return h("div", {
      "class": classNames.root
    }, [context.children]);
  }

};

__decorate([Prop({
  type: [Number, Boolean],
  default: 0
}), __metadata("design:type", Object)], StackItem.prototype, "grow", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "shrink", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "disableShrink", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "align", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "verticalFill", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], StackItem.prototype, "order", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], StackItem.prototype, "test", void 0);

StackItem = __decorate([Component({
  components: {}
})], StackItem);
var StackItem$1 = StackItem;

export default StackItem$1;
