import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { css } from '@uifabric-vue/utilities';
import BaseComponent from '../../components/BaseComponent.js';
import _mergeJSXProps from '@vue/babel-helper-vue-jsx-merge-props';
import { ActionButton } from '../../components/Button/ActionButton/ActionButton.js';

let GridCell = class GridCell extends BaseComponent {
  render() {
    const h = arguments[0];
    const {
      className,
      item,
      cellDisabledStyle,
      cellIsSelectedStyle,
      selected,
      disabled
    } = this;
    return h(ActionButton, _mergeJSXProps([{
      "class": css(className, {
        ['' + cellIsSelectedStyle]: selected,
        ['' + cellDisabledStyle]: disabled
      }),
      "attrs": {
        "getClassNames": this.getClassNames
      }
    }, {
      scopedSlots: {
        flex: this.$scopedSlots.default
      }
    }]));
  }

};

__decorate([Prop({
  type: Object,
  default: () => {}
}), __metadata("design:type", Object)], GridCell.prototype, "item", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], GridCell.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], GridCell.prototype, "selected", void 0);

__decorate([Prop({
  type: String
}), __metadata("design:type", String)], GridCell.prototype, "cellDisabledStyle", void 0);

__decorate([Prop({
  type: String
}), __metadata("design:type", String)], GridCell.prototype, "cellIsSelectedStyle", void 0);

__decorate([Prop(), __metadata("design:type", Object)], GridCell.prototype, "getClassNames", void 0);

GridCell = __decorate([Component({
  components: {
    ActionButton
  }
})], GridCell);

export { GridCell };
